import { ConnectWidgetParams, IMTBLWidgetEvents, WidgetProperties, WidgetType } from '@imtbl/checkout-sdk';
import { Base } from '../BaseWidgetRoot';
export declare class Connect extends Base<WidgetType.CONNECT> {
    protected eventTopic: IMTBLWidgetEvents;
    protected getValidatedProperties({ config }: WidgetProperties<WidgetType.CONNECT>): WidgetProperties<WidgetType.CONNECT>;
    protected getValidatedParameters(params: ConnectWidgetParams): ConnectWidgetParams;
    protected render(): void;
}
